package com.ruoyi.mqtt.dto.localization;

/**
 * RTK数据
 */
public class RtkData {
    
    /**
     * GNSS卫星颗数
     */
    private Integer star;
    
    /**
     * GNSS/RTK定位状态
     * -1:纯激光定位; 0:初始化; 1:单点定位; 2:码差分; 3:无效PPS;
     * 4:固定解; 5:浮点解; 6:正在估算; 7:人工输入固定值; 8:模拟模式; 9:WAAS差分
     */
    private Integer status;
    
    public Integer getStar() {
        return star;
    }
    
    public void setStar(Integer star) {
        this.star = star;
    }
    
    public Integer getStatus() {
        return status;
    }
    
    public void setStatus(Integer status) {
        this.status = status;
    }
}
